curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/tax-classes/with-tax-rates \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/tax-classes/with-tax-rates"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/tax-classes/with-tax-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"isStandard": true,
"rate": 123
}
]Returns a list of all tax classes and their calculated tax rates for the given parameters.
Returns a list of all tax classes and their calculated tax rates for the given parameters.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Query Parameters
Gets the unique identifier for the firm. Represents a key for identifying a firm within the application.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
0 = ShipmentAddress, 1 = BillingAddress
0, 1 0 = None, 1 = ReverseCharge, 2 = ExemptFromVat, 3 = SubjectToVat
0, 1, 2, 3 Response
The unique identifier of the tax class.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The name of the tax class
Indicates if this tax class is the standard tax class
The tax rate in percent calculated for this tax class with the given parameters.
Was this page helpful?